curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
{
"total_entries": 2,
"items": [
{
"name": "like",
"count": 3,
"user_ids": [20618, 31841, 51234]
},
{
"name": "love",
"count": 2,
"user_ids": [20618, 51234]
}
]
}
{
"errors": [
"Invalid or missing \"message_id\" parameter."
]
}
{
"errors": [
"Message not found for the specified user and message ID."
]
}
Chat
List Reactions
Retrieve all reactions for a specific message.
Added in v2.58.0
GET
/
chat
/
Message
/
{chat_message_id}
/
reactions
curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
{
"total_entries": 2,
"items": [
{
"name": "like",
"count": 3,
"user_ids": [20618, 31841, 51234]
},
{
"name": "love",
"count": 2,
"user_ids": [20618, 51234]
}
]
}
{
"errors": [
"Invalid or missing \"message_id\" parameter."
]
}
{
"errors": [
"Message not found for the specified user and message ID."
]
}
Recipes
Get reactions for message
Get reactions for message
1
1. Specify the message ID
Provide the
message_id of the message whose reactions you want to retrieve.curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
2
2. As a result, the API returns a list of reactions.
curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
Get reactions for message with API key
Get reactions for message with API key
1
1. Use 'Authorization' header to pass API key
curl -X GET \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
2
2. Use 'On-Behalf-Of' header to pass user id
curl -X GET \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
3
3. Specify the message ID
Provide the
message_id of the message whose reactions you want to retrieve.curl -X GET \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
4
4. As a result, the API returns a list of reactions.
curl -X GET \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
Path Parameters
string
required
ID of the message for which to retrieve reactions.
Headers
string
required
A user session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format:
ApiKey {your_api_key}. Must be used either QB-Token or Authorization.string
User ID. The user ID of the user on whose behalf the request is being made.
Responses
200
200
400
400
An error response
array of strings
404
404
An error response
array of strings
curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
https://api.quickblox.com/chat/Message/5d75626ea28f9a1490cb0f98/reactions
{
"total_entries": 2,
"items": [
{
"name": "like",
"count": 3,
"user_ids": [20618, 31841, 51234]
},
{
"name": "love",
"count": 2,
"user_ids": [20618, 51234]
}
]
}
{
"errors": [
"Invalid or missing \"message_id\" parameter."
]
}
{
"errors": [
"Message not found for the specified user and message ID."
]
}
Was this page helpful?